require "redmine"

load_paths.each do |path|
  Dependencies.load_once_paths.delete(path)
end

RAILS_DEFAULT_LOGGER.info "Advanced report plugin for RedMine"

Redmine::Plugin.register :advanced_report do
  name "Advanced report plugin"
  url "http://ociotec.com/redmine/projects/show/advanced-report"
  author "Emilio Gonzalez"
  author_url "http://ociotec.com"
  description "This is a plugin for Redmine that is used to show advanced report page"
  version "0.0.1"

  settings :default => {"project_list_size" => "5", 
                        "time_log_graph_week_count" => "8",
                        "time_log_graph_width" => "800",
                        "time_log_graph_height" => "500",
                        "burn_down_graph_week_count" => "16",
                        "burn_down_graph_width" => "800",
                        "burn_down_graph_height" => "400"}, 
           :partial => "settings/advanced_report_settings"

  permission :see_advanced_report, { }, :require => :member

  menu(:top_menu,
       :advanced_report,
       {:controller => :advanced_report, :action => :index},
       :caption => :advanced_report_title,
       :if => Proc.new {
         User.current.allowed_to?(:see_advanced_report, nil, :global => true) ||
         User.current.allowed_to?(:view_time_entries, nil, :global => true) ||
         User.current.admin?
       })
end
